Subject: Re: nfs daemon

From: "Andrew R. Baker" <[email-masked]>
Date: Mon, 16 Sep 1996 13:34:26 +0000

> From:          Alex Romosan <[email-masked]>
> would any one care to enlighten me why the nfs daemons are commented
> out of /etc/init.d/netstd_nfs. i needed to mount a disk off another
> linux machine and i couldn't do it until i turned on the daemons by
> hand. are there any security issues associated with this? the same
> daemons are also commented out of /etc/inetd.conf.

Well if not configured properly (ie proper restrictions) it is 
possible for anyone to mount your drives and then convince your
system that they have root file priveliges.  I saw this on our local
Sun nfs server before I was given root access and fixed it.

IMHO, all network daemons should be disabled by default and the 
sysadmin should have to enable them one by one.  I hate spending
an hour on a new system just turning off things that I don't want 
running.

Andrew